/**
 * SetOperator.java
 *
 * File generated from the medication::SetOperator uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration SetOperator.
 *
 * 
 */

@XmlType(name = "SetOperator")
@XmlEnum
@XmlRootElement(name = "SetOperator")
public enum SetOperator {
	@XmlEnumValue("A")
	A("A"),
	@XmlEnumValue("E")
	E("E"),
	@XmlEnumValue("H")
	H("H"),
	@XmlEnumValue("I")
	I("I"),
	@XmlEnumValue("P")
	P("P");
	
	private final String value;

    SetOperator(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static SetOperator fromValue(String v) {
        for (SetOperator c: SetOperator.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}